# Delete domain webhooks (v4)

Delete webhook URLs from all event types they are associated with. Supports deleting multiple URLs at once by repeating the url query parameter.

Endpoint: DELETE /v4/domains/{domain}/webhooks
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain` (string, required)
    The domain name to delete webhooks from

## Query parameters:

  - `url` (array, required)
    The webhook URL to delete. The URL is removed from all event types it's associated with. To delete multiple URLs in one request, repeat the parameter (e.g., ?url=https://a.example&url=https://b.example).

## Response 200 fields (application/json):

  - `webhooks` (object, required)
    List of webhooks

  - `webhooks.accepted` (any)
    Accepted webhook URLs

  - `webhooks.delivered` (any)
    Delivered webhook URLs

  - `webhooks.opened` (any)
    Opened webhook URLs

  - `webhooks.clicked` (any)
    Clicked webhook URLs

  - `webhooks.unsubscribed` (any)
    Unsubscribed webhook URLs

  - `webhooks.complained` (any)
    Complained webhook URLs

  - `webhooks.temporary_fail` (any)
    Temporary fail webhook URLs

  - `webhooks.permanent_fail` (any)
    Permanent fail webhook URLs

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message


